Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class ApplicationBasicEquipmentType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationBasicEquipmentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationBasicEquipmentType extends Object implements Serializable
Generiek type voor het basishulpmiddel in een aanvraag.

Java class for ApplicationBasicEquipmentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationBasicEquipmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ProductNumberType" minOccurs="0"/>
             <element name="PublicPrice" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="AllowanceVSB" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Supplement" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="SupportAndRepairCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationBasicEquipmentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAllowanceVSB()`
  Tegemoetkoming VSB voor het mobiliteitshulpmiddel.
  `String`
  `getCareServiceCode()`
  Prestatiecode van het mobiliteitshulpmiddel.
  `String`
  `getProductnumber()`
  Elke prestatiecode van een mobiliteitshulpmiddel heeft een productcode, zowel bij verkoop als verhuur.
  `BigDecimal`
  `getPublicPrice()`
  Publieke prijs van het mobiliteitshulpmiddel.
  `BigDecimal`
  `getSupplement()`
  Supplement voor het mobiliteitshulpmiddel.
  `String`
  `getSupportAndRepairCode()`
  Prestatiecode voor een budget onderhoud en herstel.
  `void`
  `setAllowanceVSB(BigDecimal value)`
  Sets the value of the allowanceVSB property.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setProductnumber(String value)`
  Sets the value of the productnumber property.
  `void`
  `setPublicPrice(BigDecimal value)`
  Sets the value of the publicPrice property.
  `void`
  `setSupplement(BigDecimal value)`
  Sets the value of the supplement property.
  `void`
  `setSupportAndRepairCode(String value)`
  Sets the value of the supportAndRepairCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationBasicEquipmentType

    public ApplicationBasicEquipmentType()

- ## Method Details

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van het mobiliteitshulpmiddel. Dit moet een door VSB erkende prestatiecode zijn.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getProductnumber

    public String getProductnumber()
    Elke prestatiecode van een mobiliteitshulpmiddel heeft een productcode, zowel bij verkoop als verhuur. Dit is dan ook een verplicht in te vullen veld. Uitzondering zijn de prestatiecodes voor BTC.
    Returns:
      possible object is `String`

  - ### setProductnumber

    public void setProductnumber(String value)
    Sets the value of the productnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductnumber()`

  - ### getPublicPrice

    public BigDecimal getPublicPrice()
    Publieke prijs van het mobiliteitshulpmiddel. Kan enkel ingevuld zijn bij een aanvraag voor verkoop, bij verhuur moeten geen prijzen worden meegedeeld in de aanvraag.
    Returns:
      possible object is `BigDecimal`

  - ### setPublicPrice

    public void setPublicPrice(BigDecimal value)
    Sets the value of the publicPrice property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getPublicPrice()`

  - ### getAllowanceVSB

    public BigDecimal getAllowanceVSB()
    Tegemoetkoming VSB voor het mobiliteitshulpmiddel. Kan enkel ingevuld zijn bij een aanvraag voor verkoop, bij verhuur moeten geen prijzen worden meegedeeld in de aanvraag.
    Returns:
      possible object is `BigDecimal`

  - ### setAllowanceVSB

    public void setAllowanceVSB(BigDecimal value)
    Sets the value of the allowanceVSB property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAllowanceVSB()`

  - ### getSupplement

    public BigDecimal getSupplement()
    Supplement voor het mobiliteitshulpmiddel. Kan enkel ingevuld zijn bij een aanvraag voor verkoop, maar kan ook gelijk zijn aan 0. Bij verhuur moeten geen prijzen worden meegedeeld in de aanvraag.
    Returns:
      possible object is `BigDecimal`

  - ### setSupplement

    public void setSupplement(BigDecimal value)
    Sets the value of the supplement property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getSupplement()`

  - ### getSupportAndRepairCode

    public String getSupportAndRepairCode()
    Prestatiecode voor een budget onderhoud en herstel. Bij verhuur is er geen onderhoud en herstel toegelaten. Bij aankoop is dit veld verplicht in te vullen, indien er bij het mobiliteitshulpmiddel een budget onderhoud en herstel hoort. Indien er een aanvraag wordt ingediend met enkel een budget onderhoud en herstel, dan moet dit veld gebruikt worden.
    Returns:
      possible object is `String`

  - ### setSupportAndRepairCode

    public void setSupportAndRepairCode(String value)
    Sets the value of the supportAndRepairCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSupportAndRepairCode()`